edu.northwestern.at.morphadorner.corpuslinguistics.inflector.pluralizer

## Class DefaultPluralizer

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.inflector.pluralizer.RuleBasedPluralizer
  - - edu.northwestern.at.morphadorner.corpuslinguistics.inflector.pluralizer.EnglishPluralizer
    - - edu.northwestern.at.morphadorner.corpuslinguistics.inflector.pluralizer.DefaultPluralizer

- All Implemented Interfaces:
    Pluralizer

      public class DefaultPluralizer
      extends EnglishPluralizer
      implements Pluralizer

  DefaultPluralizer: The default MorphAdorner pluralizer.

  The English language pluralizer is the default MorphAdorner pluralizer.

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.inflector.pluralizer.EnglishPluralizer

      `ACCUSATIVE_PRONOUNS, CATEGORY_A_AE_RULE, CATEGORY_EX_ICES_RULE, CATEGORY_IX_ICES_RULE, CATEGORY_MAN_MANS_RULE, CATEGORY_O_OS_RULE, CATEGORY_ON_A_RULE, CATEGORY_SINGULAR_S_RULE, CATEGORY_UM_A_RULE, CATEGORY_UNINFLECTED_NOUNS, CATEGORY_US_I_RULE, CLASSICAL_A_AE_RULE, CLASSICAL_A_ATA_RULE, CLASSICAL_EIX_ICES_RULE, CLASSICAL_EN_INA_RULE, CLASSICAL_O_I_RULE, CLASSICAL_ON_A_RULE, CLASSICAL_UM_A, CLASSICAL_US_I_RULE, CLASSICAL_US_US_RULE, IRREGULAR_NOUNS, NOMINATIVE_PRONOUNS, POSTFIX_ADJECTIVE_REGEX, PREPOSITIONS, rules`

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.inflector.pluralizer.RuleBasedPluralizer

      `fallbackPluralizer, locale, NOOP_PLURALIZER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPluralizer()` Create the default pluralizer.

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.inflector.pluralizer.EnglishPluralizer

      `postProcess`

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.inflector.pluralizer.RuleBasedPluralizer

      `getFallbackPluralizer, getLocale, getRules, pluralize, pluralize, pluralizeInternal, setFallbackPluralizer, setLocale, setRules`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.inflector.pluralizer.Pluralizer

      `pluralize, pluralize`

- - ### Constructor Detail

    - #### DefaultPluralizer

          public DefaultPluralizer()

      Create the default pluralizer.